GroupController Methods

The GroupController type exposes the following members.

Methods
  NameDescription
Public methodAddMembers
POST /Group/AddMembers/{id} Add Members to a group.
Public methodAddMemberToGroups
POST /Group/AddMemberToGroups/{id} Adds a member from a series of groups.
Public methodCreateGroup
POST /Group/ Creates a group.
Public methodDeleteGroup
DELETE /Group/{id} Deletes a group.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetGroupById
GET /Group/{id} Gets a group.
Public methodGetGroupInfoById
GET /Group/Info/{id} Gets a group info.
Public methodGetGroupMembershipForAccount Obsolete.
GET /Group/AccountMembership/{id} OBSOLETE - Use POST /Group/GetMemberOf/ instead. Gets the groups that an account is a member of.
Public methodGetGroupMembershipForGroup Obsolete.
GET /Group/GroupMembership/{id} OBSOLETE - Use POST /Group/GetMemberOf/ instead. Gets the groups that a group is a member of.
Public methodGetMemberOf
POST /Group/GetMemberOf/ Gets the groups that the account/group is a member of.
Public methodGetMembers
GET /Group/GetMembers/{id} Gets the accounts/groups that belong to the group.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodQueryGroupInfos
POST /Group/QueryInfos/ Gets limited information about the groups with the given information.
Public methodQueryGroups
POST /Group/Query/ Gets the groups with the given information.
Public methodQueryNumberOfGroups
POST /Group/Count/ Gets the number of groups that match the filter.
Public methodRemoveMemberFromGroups
POST /Group/RemoveMemberFromGroups/{id} Removes a member from a series of groups.
Public methodRemoveMembers
POST /Group/RemoveMembers/{id} Remove Members to a group.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodUpdateCustomAttributesForGroup
POST /Group/UpdateCustomAttributesForGroup/{id} Updates the custom attributes for the specified group.
Public methodUpdateGroup
PUT /Group/{id} Updates a group.
Top
See Also